Subject: Re: bug#24062: Temporary NEWS markup still in RC

From: Glenn Morris <[email-masked]>
Date: Wed, 24 Aug 2016 01:49:52 -0400

Nicolas Petton wrote:

>> Now AFAICS there is no "25.1 released" ChangeLog entry at all. One could
>> be added by untarring, editing that one file, and tarring up again. But
>> perhaps no-one wants/needs it.
>
> Indeed, and we said that we would not modify tarballs in place.  I'll do
> it for the next RC or release.

I did not mean modify a tarfile in place.
I meant what is written in make-tarball:
 
    If you need to change only a file(s) that cannot possibly affect
    the build (README, ChangeLog, NEWS, etc.) then rather than doing
    an entirely new build, it is better to unpack the existing
    tarfile, modify the file(s), and tar it back up again.

    Never replace an existing tarfile!

Ie, don't do a make bootstrap, because that is a more error-prone
process and will change every elc file.

This way, you won't need yet another RC for trivia like this.

You won't be replacing the alpha.gnu tarfile in place, you will just be
uploading a (very slightly) different one to ftp.gnu.org. Ie, the final
release will be (trivially) different to the last RC.